# ToDo:
# - include /usr/bin/part and /usr/bin/tkpp or not?
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PAR
Summary:	Perl Archive Toolkit
Summary(pl.UTF-8):	Zestaw narzędzi perlowych do archiwizacji
Name:		perl-PAR
Version:	1.015
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{version}.tar.gz
# Source0-md5:	7a071dd811176fafe74ff054cb8962ce
URL:		http://par.perl.org/
BuildRequires:	perl-Archive-Zip >= 1.00
%if %{with tests}
BuildRequires:	perl(Compress::Zlib) >= 1.30
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Module-ScanDeps >= 0.45
BuildRequires:	perl-Module-Signature >= 0.35
%endif
BuildRequires:	perl-PAR-Dist >= 0.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl Archive Toolkit:
- Do what JAR (Java Archive) does for Perl
- Platform-independent, compressed file format (zip)
- Aggregates modules, scripts and other files into one file
- Easy to generate, update and extract
Benefits of using PAR:
- Reduced download and deployment time
- Saves disk space by compression and selective packaging
- Version consistency: solves forward-compatibility problems
- Community support: par@perl.org
You can also turn a PAR file into a self-contained script
- Bundles all necessary 3rd-party modules with it
- Requires only core Perl to run on the target machine
- If you use pp to compile the script...
- ...you get an executable not even needing core Perl

%description -l pl.UTF-8
Perl Archive Toolkit:
- robi to samo, co JAR (archiwizator Javy), ale dla Perla
- używa niezależnego od platformy, formatu pliku skompresowanego (zip)
- integruje w jeden plik moduły, skrypty i inne pliki
- pliki PAR są łatwe do wygenerowania, aktualizacji i rozpakowania
Korzyści płynące ze stosowania PAR:
- skrócenie czasu pobierania i wdrożenia programu
- oszczędność miejsca na dysku wynikająca z kompresji i wybiórczego
  pakietowania
- spójność wersji: rozwiązuje problemy zgodności w przód
- wsparcie zespołu: par@perl.org
Można również przekształcić plik PAR w skrypt zawierający pakiet
- łączy w sobie wszystkie niezbędne obce moduły
- wymaga do uruchomienia na maszynie docelowej jedynie podstawowego
  Perla
- przy wykorzystaniu pp do kompilacji skryptu...
- ...dostaje się program uruchamialny nie wymagający nawet
  podstawowego Perla

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps	# make ExtUtils::Autoinstall non-interactive

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes AUTHORS
%{perl_vendorlib}/PAR.pm
%{perl_vendorlib}/PAR/*
%exclude %{perl_vendorlib}/PAR/*.pod
%{_mandir}/man?/*
%changelog
* Tue Jul 10 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PAR.git;a=log;h=master

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 683cbf3
- up to 1.015

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> ed69693
- release 3 (by relup.sh)

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 48d96ce
- fix deps

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 18863fc
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 72be76c
- up to 1.005

* Sat Sep 12 2009 radek <radek@pld-linux.org> 99b4a19
- release 2: strict DynaLoader dep no longer required

* Fri Sep 04 2009 amateja <amateja@pld-linux.org> 2e436fe
- updated to 0.994

* Thu Jan 22 2009 radek <radek@pld-linux.org> 598c282
- version 0.983

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 1c8e605
- unified

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 60ac2d5
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 81be116
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cd160bb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ebcfd5
- converted to UTF-8

* Mon Dec 05 2005 Paweł Cyranek <pawel.cyranek@gmail.com> dee0bc0
- updated to 0.90

* Sat Jun 11 2005 ankry <ankry@pld-linux.org> f2adb9c
- up to 0.89; fixed deps and %files

* Wed Dec 01 2004 radek <radek@pld-linux.org> 50dafb5
- standarized Source0 URL

* Sat Nov 20 2004 radek <radek@pld-linux.org> dbb8de7
- release 2: require DynaLoader in version available at build time

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ae53e97
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> b89e4cf
- updated to 0.85

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> 76174d7
- removed dir belonging to perl-base, rel. 3

